/**
	Copyright (C) 2006  Volker Wiendl

    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published 
	by the Free Software Foundation.
    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See the GNU General Public License for more details.
    You should have received a copy of the GNU General Public License along with this program; 
	if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
*/
#ifndef MUSICINFO_H_
#define MUSICINFO_H_

#include <qt/qstring.h>
/**
 * A struct handling information about a music track
 */
struct MusicInfo
{
	QString artist;
	QString title;
	QString album;
	QString genre;
	int		bitrate;
	int		year;
	int		length;
	int		position;
	int		status;
	int		seconds_played;
	int		seconds_overall;
	void clear()
	{
		artist.clear();
		title.clear();
		album.clear();
		genre.clear();
		bitrate = 0;
		year = 0;
		length = 0;
		position = 0;
		status = 0;
		seconds_played = 0;
		seconds_overall = 0;
	}
};

Q_DECLARE_METATYPE(MusicInfo)
#endif