/**
	Copyright (C) 2006  Volker Wiendl

    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published 
	by the Free Software Foundation.
    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See the GNU General Public License for more details.
    You should have received a copy of the GNU General Public License along with this program; 
	if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
*/
#ifndef PLUGINDIALOG_H_
#define PLUGINDIALOG_H_

#include "ui_PlugInDialog.h"
#include <Qt/qlist.h>
#include <Qt/qfileinfo.h>
#include <Qt/qdom.h>

class InputInterface;
class OutputInterface;
class QListWidgetItem;

class PlugInDialog : public QDialog, protected Ui_PlugInDialog
{
	Q_OBJECT
public:
	PlugInDialog(QWidget* parent = 0, Qt::WFlags flags = 0);
	virtual ~PlugInDialog();

	void init(const QFileInfo& configFile, const QList<InputInterface*>& inputPlugIns, const QList<OutputInterface*>& outputPlugIns);	

private slots:
	void inputPlugInSelected(QListWidgetItem * current, QListWidgetItem * previous);
	void outputPlugInSelected(QListWidgetItem * current, QListWidgetItem * previous);
	void connectButtonPressed();
	void configureInputPlugIn();
	void configureOutputPlugIn();

private:
	QFile			m_configFile;
	QDomDocument	m_doc;

};
#endif
