/**
	Copyright (C) 2006  Volker Wiendl

    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published 
	by the Free Software Foundation.
    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See the GNU General Public License for more details.
    You should have received a copy of the GNU General Public License along with this program; 
	if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
*/
#ifndef INPUTHANDLER_H_
#define INPUTHANDLER_H_

#include <Qt/qobject.h>
#include <Qt/qmap.h>

class InputInterface;
class OutputInterface;

class PlugInManager : public QObject
{
	Q_OBJECT

public:
	PlugInManager(QObject* parent = 0);
	virtual ~PlugInManager();

	const QList<InputInterface*> getInputPlugIns();
	const QList<OutputInterface*> getOutputPlugIns();

	bool init(const QString& fileName);
	void save(const QString& fileName);

protected:
	typedef QList<OutputInterface*> OutputInterfaceList;
	typedef QList<InputInterface*> InputInterfaceList;

	InputInterfaceList	m_input_plug_ins;
	OutputInterfaceList m_output_plug_ins;
	

};
#endif
