/**
	Copyright (C) 2006  Volker Wiendl

    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published 
	by the Free Software Foundation.
    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See the GNU General Public License for more details.
    You should have received a copy of the GNU General Public License along with this program; 
	if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
*/
#ifndef CONNECTIONDIALOG_H_
#define CONNECTIONDIALOG_H_

#include "Ui_ConnectionDialog.h"
#include "ircode.h"
#include "../HTPCControl/HtpcCommand.h"
#include <qt/qmap.h>

class OutputInterface;

class ConnectionDialog : public QDialog, protected Ui_ConnectionDialog
{
	Q_OBJECT

public:
	ConnectionDialog(QWidget* parent = 0, Qt::WFlags wflags = 0);
	virtual ~ConnectionDialog(void);

	void init(const QMap<IRCode,QList<HtpcCommand>*>& commandMap, OutputInterface* outputPlugIn);

	void getCommandMap(QMap<IRCode,QList<HtpcCommand>*>& commandMap);

protected:
	void customEvent(QEvent* event);

private slots:
	void itemSelected();
	void commandAssociated();
	void learnButtonPressed();
	void updateIrCode(int antiRepeat);

private:
	QMap<IRCode, QList<HtpcCommand>*>	m_commandMap;
	bool							m_learning;
};

#endif