#ifndef IRCODE_H_
#define IRCODE_H_

#include <qt/qdatetime.h>

class IRCode
{
public:
	IRCode() : code (0), antiRepeat(100), lastCall(QTime::currentTime()) {}
	IRCode(int c) : code(c), antiRepeat(100), lastCall(QTime::currentTime()) {}

	bool ready() const
	{
		if (lastCall.msecsTo(QTime::currentTime())>antiRepeat)
			return true;
		else
			return false;
	}

	int code;
	int antiRepeat;
	QTime lastCall;

	bool operator==(const IRCode& b)
	{
		return code == b.code;
	}

	bool operator==(const int& b)
	{
		return code == b;
	}

	bool operator < (const IRCode& b)
	{
		return code < b.code;
	}
	
	bool operator > (const IRCode& b)
	{
		return code > b.code;
	}
};
Q_DECLARE_METATYPE(IRCode)

inline bool operator<(const IRCode &a1, const IRCode &a2)
{ return a1.code < a2.code; }

#endif