/**
	Copyright (C) 2006  Volker Wiendl

    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published 
	by the Free Software Foundation.
    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See the GNU General Public License for more details.
    You should have received a copy of the GNU General Public License along with this program; 
	if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
*/
#ifndef CONNECTIONDIALOG_H_
#define CONNECTIONDIALOG_H_

#include "Ui_ConnectionDialog.h"
#include <qt/qmap.h>
#include "../HTPCControl/HtpcCommand.h"

class OutputInterface;

class ConnectionDialog : public QDialog, protected Ui_ConnectionDialog
{
	Q_OBJECT

public:
	ConnectionDialog(QWidget* parent = 0, Qt::WFlags wflags = 0);
	virtual ~ConnectionDialog(void);

	void init(const QList<HtpcCommand>& musicListeners, const QList<HtpcCommand>& systemListeners, OutputInterface* outputPlugIn);

	void getMusicListeners(QList<HtpcCommand>& listeners);
	void getSystemListeners(QList<HtpcCommand>& listeners);

private slots:
	void itemSelected();
	void commandAssociated();
	void removeCommand();

private:
	QList<HtpcCommand>	m_musicListeners;
	QList<HtpcCommand>	m_systemListeners;
};

#endif