/**
	Copyright (C) 2006  Volker Wiendl

    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published 
	by the Free Software Foundation.
    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See the GNU General Public License for more details.
    You should have received a copy of the GNU General Public License along with this program; 
	if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
*/
#ifndef CONFIGDIALOG_H_
#define CONFIGDIALOG_H_

#include "Ui_ConfigDialog.h"

class CommandDialog;
class QTimer;

class ConfigDialog : public QDialog, public Ui_ConfigDialog
{
	Q_OBJECT

public:
	ConfigDialog(int commands, QWidget* parent = 0, Qt::WFlags wflags = 0);
	virtual ~ConfigDialog(void);

	void loadConfig(const QString& configFile);
	void saveConfig(const QString& configFile);

private slots:

	void updateRect();
	void selectColor();
	void addCommand();

private:

	QWidget* m_testRect;
	QLabel*  m_fontTest;
	QTimer*	 m_testTimer;	
	CommandDialog* m_commandDlg;
	
};

#endif