#pragma once
/**
	Copyright (C) 2006  Volker Wiendl

    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published 
	by the Free Software Foundation.
    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See the GNU General Public License for more details.
    You should have received a copy of the GNU General Public License along with this program; 
	if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
*/
#include <qt/qwidget.h>
#include <windows.h>

class QTimer;

// Preparation for the function we want to import from USER32.DLL
typedef BOOL (WINAPI *lpfnSetLayeredWindowAttributes)(HWND hWnd, 
                                  COLORREF crKey, BYTE bAlpha, DWORD dwFlags);
class OSD :	public QWidget
{
	Q_OBJECT
public:
	OSD(QWidget* parent = 0);
	virtual ~OSD(void);
	void useQueue(bool use) {m_useQueue = use;}
	void setColor(const QString& name);

public slots:
	void showMessage(const QString& message, int duration);
	void setFont(const QFont& font) {m_font = QFont(font.family(), m_font.pointSize());}
	void setFontSize(int size) {m_font.setPointSize(size);}
	
protected slots:
	void nextMessage();

protected:
	void paintEvent(QPaintEvent *event);
	QList<QString>	m_messages;	
	QString			m_message;
	QList<int>		m_durations;
	bool			m_useQueue;
	lpfnSetLayeredWindowAttributes m_pSetLayeredWindowAttributes;
	QTimer*			m_timer;	
	QFont			m_font;
	QColor			m_color;
	QColor			m_background;

};



